HRcCapabilities

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.havi.ui.event
Class HRcCapabilities

    java.lang.Object
      org.havi.ui.event.HKeyCapabilities
          org.havi.ui.event.HRcCapabilities

    public class HRcCapabilities

extends HKeyCapabilities

This class is used to describe the (basic) remote control capabilities of the platform.

This class is not intended to be constructed by applications.

The parameters to the constructors are as follows, in cases where parameters are not used, then the constructor should use the default values.

### Default parameter values exposed in the constructors

Parameter | Description | Default value | Set method | Get method
--- | --- | --- | --- | ---
None.

### Default parameter values not exposed in the constructors

Description | Default value | Set method | Get method
--- | --- | --- | ---
None.

Method Summary
`static boolean` | `getInputDeviceSupported()` Determine if a physical remote control exists in the system.
`static HEventRepresentation` | `getRepresentation(int aCode)` Get the `HEventRepresentation` object for a specified key event `keyCode`.
`static boolean` | `isSupported(int keycode)` Queries whether the remote control can directly generate an event of the given type.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getRepresentation

    public static HEventRepresentation getRepresentation(int aCode)

  Get the `HEventRepresentation` object for a specified key event `keyCode`.

  Parameters:
    `aCode` - the key event `keyCode` for which the `HEventRepresentation` should be returned.
  Returns:
    an `HEventRepresentation` object for the specified key event `keyCode`, or `null` if there is no valid representation available.

### getInputDeviceSupported

    public static boolean getInputDeviceSupported()

  Determine if a physical remote control exists in the system.

  Returns:
    true if a physical remote control exists in the system, false otherwise.
  See Also:
    `HKeyCapabilities.getInputDeviceSupported()`

### isSupported

    public static boolean isSupported(int keycode)

  Queries whether the remote control can directly generate an event of the given type. Note that this method will return false for key codes which can only be generated on this system via a virtual keyboard.

  Parameters:
    `keycode` - the keycode to query e.g. `VK_SPACE`
  Returns:
    true if events with the given key code can be directly generated on this system via a physical remote control, false otherwise.
  See Also:
    `HKeyCapabilities.isSupported(int)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD